;NSIS Script For Thingamablog
; ./build/app/thingamablog = ${JarDir} in the make file

;Title Of Your Application
Name "Thingamablog 0.9.4c"

;Do A CRC Check
CRCCheck On

;Output File Name
OutFile "@OUTFILE@"

;License Page Introduction
LicenseText "You must agree to this license before installing."

;License Data
LicenseData "license.txt"

;The Default Installation Directory
InstallDir "$PROGRAMFILES\ThingamaBlog"

;The text to prompt the user to enter a directory
DirText "Please select the folder below"

Section "Install"
  ;Install Files
  SetOutPath $INSTDIR
  SetCompress Auto
  SetOverwrite IfNewer
  File "thingamablog.jar"
  File "icon.ico"
  File "license.txt"
  File "readme.txt"
  File "new_main.txt"
  File "new_archive.txt"
  File "new_index.txt"
  ;;;File "C:\deploy\release_notes.txt"
  
  File /r "lib"  
  File /r "docs"
  File /r "dictionaries"
  File /r "sample_templates"

  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Thingamablog" "DisplayName" "Thingamablog (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Thingamablog" "UninstallString" "$INSTDIR\Uninst.exe"
WriteUninstaller "Uninst.exe"
SectionEnd

Section "Shortcuts"
  ;Add Shortcuts
  CreateDirectory "$SMPROGRAMS\Thingamablog"
  CreateShortCut "$SMPROGRAMS\Thingamablog\Thingamablog.lnk" "$INSTDIR\thingamablog.jar" "" "$INSTDIR\icon.ico" 0
  CreateShortCut "$DESKTOP\Thingamablog.lnk" "$INSTDIR\thingamablog.jar" "" "$INSTDIR\icon.ico" 0
SectionEnd

UninstallText "This will uninstall Thingamablog 0.9.4c from your system"

Section Uninstall
  ;Delete Files
  Delete "$INSTDIR\thingamablog.jar"
  Delete "$INSTDIR\icon.ico"
  Delete "$INSTDIR\license.txt"  
  Delete "$INSTDIR\readme.txt"
  Delete "$INSTDIR\new_main.txt"
  Delete "$INSTDIR\new_archive.txt"
  Delete "$INSTDIR\new_index.txt"

  RMDir /r "$INSTDIR\sample_templates"
  RMDir /r "$INSTDIR\docs"
  RMDir /r "$INSTDIR\dictionaries"
  RMDir /r "$INSTDIR\lib"

  Delete "$DESKTOP\Thingamablog.lnk"

  ;Delete Start Menu Shortcuts
  Delete "$SMPROGRAMS\Thingamablog\*.*"
  RmDir "$SMPROGRAMS\Thingamablog"

  ;Delete Uninstaller And Unistall Registry Entries
  Delete "$INSTDIR\Uninst.exe"
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Thingamablog"
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Thingamablog"
  RMDir "$INSTDIR"
SectionEnd